// WurzelBerechner.java                             MM 2013
import Tools.IO.*;                              // Eingaben

/**
 * Berechnet Wurzeln.
 * @author Monika Meiler
 */
public class WurzelBerechner
{
/**
 * Wurzelberechner:
 * Wurzeleingabe, Wertberechnung, Ergebnisausgabe.
 */
  public static void main( String[] args)
  {
// Ueberschrift
    System.out.println();
    System.out.println( "Wurzelberechner");

// Dialog
    char weiter = 'j';
    do
    {
// Neue Wurzel
      System.out.println();
      Wurzel wurzel = new Wurzel();

// Eingabe des Wurzelexponenten
      System.out.println( "Wurzeleingabe");
      if( wurzel.konsolenEingabe())
      {
// Wurzelausgabe
        System.out.println();
        System.out.println( "f( x) = " + wurzel);

        do
        {
// Argumenteingabe
          System.out.println();
          System.out.println( "Wertberechnung");
          double x = IOTools.readDouble
                     ( "Wurzelradikant( x > 0) x = ");
          System.out.println( " " + x);

// Wertberechnung und Ausgabe
          int k = wurzel.getExponent();
          System.out.println( k + ". Wurzel( " + x + ")");
          System.out.println
          ( "\twurzel.wert   \t= " + wurzel.wert( x));
          System.out.println
          ( "\tMath.pow      \t= " + Math.pow( x, 1./k));

// Weiter
          System.out.println();
          weiter = IOTools.readChar( "Neues Argument (j/n)? ");
        } while( weiter == 'j');
      }

      weiter = IOTools.readChar( "Neuer Exponent (j/n)? ");
    } while( weiter == 'j');

// Programm beendet
    System.out.println();
    System.out.println( "Programm beendet");
  }
}
/* ----------------------------------------------------- */
                                           // Testbeispiele
/*
f( x) = 2. Wurzel( x)

Wertberechnung
2. Wurzel( 3.0)
	wurzel.wert   	= 1.7320508075688772
	Math.pow      	  1.7320508075688772

2. Wurzel( 66.4225)
	wurzel.wert   	= 8.15
	Math.pow      	  8.15

2. Wurzel( 1.96)
	wurzel.wert   	= 1.4
	Math.pow      	  1.4

2. Wurzel( -1.0)
	wurzel.wert   	= NaN
	Math.pow      	= NaN

f( x) = 3. Wurzel( x)

Wertberechnung
3. Wurzel( 541.343375)
	wurzel.wert   	= 8.15
	Math.pow      	  8.149999999999999

f( x) = 7. Wurzel( x)

Wertberechnung
7. Wurzel( 1.9487171)
	wurzel.wert   	= 1.1
	Math.pow      	  1.1
*/
